Bug 72574 - grub does not boot
grub does not boot
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-25 15:15 EDT by Daniel Hammer
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-29 12:39:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Hammer 2002-08-25 15:15:57 EDT
Description of problem:
grub cannot load splashscreen; it hangs after trying to load the
splashscreen

Version-Release number of selected component (if applicable):
every red hat rpm version > grub-0.90-11

How reproducible:
Always

Steps to Reproduce:
1. install a grub red hat rpm of version > grub-0.90-11
2. /sbin/grub-install --recheck /dev/hda
3. reboot
	

Actual Results:  When booting the machine hangs, showing message
"GRUB Loading stage1.5
GRUB loading, please wait ..."

Expected Results:  It should show the splashscreen and boot

Additional info:

Until the grub-0.90-11 package all worked fine, but for all greater
red hat package versions the error above occurs. 
A pure GNU grub-0.92.tar.gz also works fine (configure, make, make install), 
but the patches in the red hat package seem to be wrong. 
When changing the spec file and kicking off the splashscreen stuff 
even the latest red hat package grub-0.92-4 works. But any attempt to 
include the splashscreen failed.

BTW, a mandrake 8.2 grub package works on the same machine, but 
they use only a simple menu, not a splashscreen.

The motherboard is from a "Fijitsu Siemens" machine which is a 
Pentium 4 (140 MHz) motherboard and has a PhoenixBIOS version 4.06
Rev. 1.05.1194 from Phoenix Technologies Ltd and does (to my knowledge) 
properly support lba32.
Comment 1 Jeremy Katz 2002-08-26 01:28:27 EDT
Does it work if you comment out the splashimage line from the config file?
Comment 2 Daniel Hammer 2002-08-26 03:26:47 EDT
No, this does not help. The only change is the following: Normally, after a 
fresh install it takes a long time and the machine shows after BIOS information 
"GRUB Loading stage2.0..." and then freezes completely (and after reinstalling
grub from the newly installed partition it shows "GRUB Loading stage1.5
GRUB loading, please wait ..." and also reezes completely.
When I comment out the splashimage line from the config file the machine hangs,
but I can reboot with Ctl+Alt+Del (which does not work in the other 2 cases).
Comment 3 Jeremy Katz 2002-12-29 01:32:46 EST
Does this work better with the grub 0.93 package available from
http://people.redhat.com/~katzj/grub/?
Comment 4 Daniel Hammer 2002-12-29 09:49:45 EST
Yes , your grub 0.93 package works fine - great!
Comment 5 Jeremy Katz 2002-12-29 12:39:55 EST
Great, thanks!

Note You need to log in before you can comment on or make changes to this bug.